//
// AstroPanel.java: a general toolbar for use in astronomy applets.
//	Copyright 2002 by Akkana Peck.
// You may use or distribute this code under the terms of the GPL.
//

package Akk.Astro;

import java.awt.*;
import java.awt.event.*;
import java.util.*;

class AstroPanel extends Panel
{
    ActionListener al;
    ItemListener il;

    AstroPanel(EventListener listener)
    {
        al = (ActionListener)listener;
        il = (ItemListener)listener;

	setLayout(new FlowLayout(FlowLayout.LEFT));
    
        Label labl = new Label("Zoom");
        this.add(labl);
        Button btn = new Button("-");
        btn.addActionListener(al);
        this.add(btn);
        btn = new Button("+");
        btn.addActionListener(al);
        this.add(btn);

        btn = new Button("Time");
        btn.addActionListener(al);
        this.add(btn);
    }
}

